<?php

/**
 * @file updown-active.tpl.php
 *
 * Theme the active widget for updown.
 *
 * Available variables:
 * - $current_score: the current score of the node.
 * - $content_type: The type of content that is being represented (e.g. node,
 *   user, comment)
 * - $content_id: The id of the content being represented (if it's a node, the
 *   nid, if it's a user, the uid, etc.).
 * - $undo: whether the user is allowed to undo their vote.
 * - $vote_down: whether the user is allowed to vote down.
 * - $undo: whether the user is allowed to undo their vote.
 * - $vote_down_uri: the URI to vote down.
 * - $vote_up_uri: the URI to vote up.
 * - $vote_undo_uri: the URI to undo one's vote.
 * - $vote_class: voted or voting depending on what the user has done.
 *
 * @see template_preprocess_updown_active_widget()
 */
?><div class="updown-widget updown-widget-<?php print $vote_class; ?>" id="updown-widget-<?php print $content_type; ?>-<?php print $content_id; ?>">
  <div class="updown-score"><span class="updown-current-score"><?php print $current_score; ?></span> score</div>
  <div class="updown-vote<?php if (!$vote_down_uri) { print ' updown-nodown'; }?>">
    <div class="updown-voteup"><a href="<?php print $vote_up_uri; ?>">+</a></div>
  <?php if ($vote_down): ?>
    <div class="updown-votedown"><a href="<?php print $vote_down_uri; ?>">–</a></div>
  <?php endif; ?>
  </div>
  <?php if ($undo): ?>
    <div class="updown-voteundo"><a href="<?php print $vote_undo_uri; ?>">undo</a></div>
  <?php endif; ?>
</div>